콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
https://store.xsolla.com/api/
작업
작업

요청

카탈로그 작성을 위한 게임 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/game?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

게임 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_items)
예제: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
응답
application/json
{ "items": [ {}, {} ] }

요청

사용 가능한 DRM 목록을 가져옵니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
curl -i -X GET \
  https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/game/drm \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

DRM 목록이 성공적으로 수신되었습니다.

본문application/json
drmArray of objects(Catalog_inline_response_200_4_drm)
예제: [{"drm_id":1,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","link":"https://support.steampowered.com","name":"Steam","redeem_instruction_link":"https://support.steampowered.com","sku":"steam"},{"drm_id":2,"image":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Playstation","redeem_instruction_link":"https://support.us.playstation.com","sku":"playstation"}]
응답
application/json
{ "drm": [ {}, {} ] }

요청

카탈로그 작성을 위해 지정된 그룹에서 게임 목록을 가져옵니다.

주의. 모든 프로젝트에는 얻을 수 있는 아이템 수에 제한이 있습니다. 응답. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
external_idstring필수

그룹 외부 ID.

기본값 "all"
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/game/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

게임 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_items)
예제: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]
응답
application/json
{ "items": [ {}, {} ] }
작업
작업
작업
작업
작업